curl --request GET \
--url 'https://api.elkapi.com/v1/videos/task_1234567890' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.elkapi.com/v1/videos/task_1234567890"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.request("GET", url, headers=headers)
print(response.json())
const url = "https://api.elkapi.com/v1/videos/task_1234567890";
const headers = {
"Authorization": "Bearer <token>"
};
const response = await fetch(url, { method: "GET", headers });
console.log(await response.json());
{
"id": "id",
"object": "object",
"model": "sora-2",
"status": "status",
"progress": 1,
"created_at": 1,
"seconds": "seconds"
}
{
"error": {
"message": "message",
"type": "type",
"param": "param",
"code": "code"
}
}
Sora 形式
Sora動画タスクを取得
- OpenAI互換の動画タスク状態照会エンドポイントです。
- 動画タスクの詳細な状態情報を返します。
GET
/
v1
/
videos
/
{task_id}
curl --request GET \
--url 'https://api.elkapi.com/v1/videos/task_1234567890' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.elkapi.com/v1/videos/task_1234567890"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.request("GET", url, headers=headers)
print(response.json())
const url = "https://api.elkapi.com/v1/videos/task_1234567890";
const headers = {
"Authorization": "Bearer <token>"
};
const response = await fetch(url, { method: "GET", headers });
console.log(await response.json());
{
"id": "id",
"object": "object",
"model": "sora-2",
"status": "status",
"progress": 1,
"created_at": 1,
"seconds": "seconds"
}
{
"error": {
"message": "message",
"type": "type",
"param": "param",
"code": "code"
}
}
curl --request GET \
--url 'https://api.elkapi.com/v1/videos/task_1234567890' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.elkapi.com/v1/videos/task_1234567890"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.request("GET", url, headers=headers)
print(response.json())
const url = "https://api.elkapi.com/v1/videos/task_1234567890";
const headers = {
"Authorization": "Bearer <token>"
};
const response = await fetch(url, { method: "GET", headers });
console.log(await response.json());
{
"id": "id",
"object": "object",
"model": "sora-2",
"status": "status",
"progress": 1,
"created_at": 1,
"seconds": "seconds"
}
{
"error": {
"message": "message",
"type": "type",
"param": "param",
"code": "code"
}
}
Authorizations
string
必須
すべてのエンドポイントで Bearer Token 認証が必要です。リクエストヘッダーに追加します:
Authorization: Bearer YOUR_API_KEY
Path Parameters
string
必須
動画タスクID
Response
string
string
string
デフォルト:"sora-2"
例:
sora-2string
integer
integer
string
⌘I